Subject: Re: [hybi] [Technical Errata Reported] RFC6455 (4185)

From: Adam Rice <[email-masked]>
Date: Thu, 4 Dec 2014 18:42:24 +0900

On 18 November 2014 at 05:56, RFC Errata System <[email-masked]>
wrote:

> However, implementations have been observed that allow the headers payload
> length to be specified as a higher length than the actual raw payload of
> that frame.

[citation needed]

> Obviously, this opens up the potential for a memory consumption DoS attack
> on an implementation that uses this method.

The specification allows for frame sizes up to 9 exabytes. Any
implementation which blindly allocates the specified frame size without
limit is trivially vulnerable to a DoS attack.

The wording of the specification with regards to fragmentation is not as
clear as I would like, but I don't think that constitutes an errata.

The structure of a frame is clearly and unambiguously specified in section
5.2. The text of 5.4 in no way nullifies that.